- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CPresetBrowser Class Reference

Inheritance diagram for Exponent::GUI::Controls::CPresetBrowser:

List of all members.

## Detailed Description

Allows the user to browse presets in a drag and droppable object.

Deprecated:
  Not intended for public usage. This class is currently being redesigned and as such is marked as deprecated. It will be replaced in a future API verison

Date:
  28/08/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CPresetBrowser.hpp,v 1.9 2007/02/08 21:07:54 paul Exp

Definition at line 46 of file CPresetBrowser.hpp.

## Public Member Functions

- CPresetBrowser (IControlRoot *root, const long uniqueId, const CRect &area, IActionListener *listener=NULL)
- virtual void handleActionEvent (const CActionEvent &event)
- void initialise (const SPresetBrowserSetup &setup)
- virtual void registerPresetHandler (IPresetHandler *handler)
- void setMenuWindowAttributes (CWindowAttributes *windowAttributes, const SMenuColours &colours)
- virtual ~CPresetBrowser ()

## Protected Attributes

- IPresetHandler * m_presetHandler
- CPresetBrowserHead * m_presetHead
- CSystemString m_rootPath
- CPresetBrowserSelector * m_selector

## Classes

- class CPresetBrowserHead
    The head part of the preset browser with global controls for the unit. More...
- class CPresetBrowserSelector
    Selector module, displays individual presets within a bank. More...
- struct SPresetBrowserSetup
    Setup information about the browser. More...

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CPresetBrowser::CPresetBrowser | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | IActionListener * | listener = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left
  | listener | The action listener

virtual Exponent::GUI::Controls::CPresetBrowser::~CPresetBrowser | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CPresetBrowser::handleActionEvent | ( | const CActionEvent & | event | ) | `[virtual]`

Handle an action event

Parameters:

  | event | The event to handle

Note:
  Intended for internal use, do not call

void Exponent::GUI::Controls::CPresetBrowser::initialise | ( | const SPresetBrowserSetup & | setup | ) |

Initialise

Parameters:

  | setup | The setup information for the browser

virtual void Exponent::GUI::Controls::CPresetBrowser::registerPresetHandler | ( | IPresetHandler * | handler | ) | `[inline, virtual]`

Register the preset handler

Parameters:

  | handler | The handler for preset information

Definition at line 142 of file CPresetBrowser.hpp.

References m_presetHandler.

void Exponent::GUI::Controls::CPresetBrowser::setMenuWindowAttributes | ( | CWindowAttributes * | windowAttributes,
|  | const SMenuColours & | colours |
| ) |  |  |

Set menu window attributes

Parameters:

  | windowAttributes | The attributes for the menu window
  | colours | The colours of the menu window

## Member Data Documentation

IPresetHandler* Exponent::GUI::Controls::CPresetBrowser::m_presetHandler`[protected]`

Tha handler for preset information

Definition at line 439 of file CPresetBrowser.hpp.

Referenced by registerPresetHandler().

CPresetBrowserHead* Exponent::GUI::Controls::CPresetBrowser::m_presetHead`[protected]`

The head allows the user to choose a bank etc

Definition at line 437 of file CPresetBrowser.hpp.

CSystemString Exponent::GUI::Controls::CPresetBrowser::m_rootPath`[protected]`

The root path that the user cannot go above

Definition at line 438 of file CPresetBrowser.hpp.

CPresetBrowserSelector* Exponent::GUI::Controls::CPresetBrowser::m_selector`[protected]`

The selector allows the user to select a preset

Definition at line 436 of file CPresetBrowser.hpp.